WPS4TextInternal::DataPLC Struct Reference

Internal: class to store the PLC: Pointer List Content ? More...

## Public Member Functions
| DataPLC ()
| constructor

## Public Attributes
std::string | m_name
| the entry field name
PLCType | m_type
| the plc type
long | m_value
| a potential value
std::string | m_extra
| a string used to store the parsing errors

## Friends
std::ostream & | operator<< (std::ostream &o, DataPLC const &plc)
| operator<<

## Detailed Description

Internal: class to store the PLC: Pointer List Content ?

## Constructor & Destructor Documentation

## ◆ DataPLC()

WPS4TextInternal::DataPLC::DataPLC | ( |  | ) |
| inline

constructor

Referenced by operator<<.

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | DataPLC const & | plc )
| friend

operator<<

## Member Data Documentation

## ◆ m_extra

std::string WPS4TextInternal::DataPLC::m_extra

a string used to store the parsing errors

Referenced by DataPLC(), operator<<, and WPS4Text::readPLC().

## ◆ m_name

std::string WPS4TextInternal::DataPLC::m_name

the entry field name

Referenced by DataPLC(), operator<<, and WPS4Text::readPLC().

## ◆ m_type

PLCType WPS4TextInternal::DataPLC::m_type

the plc type

Referenced by DataPLC(), and WPS4Text::readPLC().

## ◆ m_value

long WPS4TextInternal::DataPLC::m_value

a potential value

Referenced by DataPLC(), operator<<, and WPS4Text::readPLC().

The documentation for this struct was generated from the following file:

- WPS4Text.cpp